############################################
##                                        ##
##         Links Mangement Script         ##
##      last modified: 04/Sept/2002       ##
##           copyright (c) 2002           ##
##                                        ##
##       Developed by Kaviraj Kodai       ##
##        www.eDesignParadigm.com         ##
##     (scripts@edesignparadigm.com)      ##
##                                        ##
##           For Larry Sullivan           ##
##           www.linking101.com           ##
##         (larry@linking101.com)         ##
##                                        ##
################################################################
#  COPYRIGHT (C) 2002 WWW.LINKING101.COM. ALL RIGHTS RESERVED  #
################################################################
# Copyright Notice                                             #
# ----------------                                             #
# This program is a commercial product and must NOT be copied, #
# modified, distributed, or installed without a user license   #
# from http://www.linking101.com. Any modification of the      #
# script without the written consent of Larry Sullivan is      #
# strictly prohibited.  You may not remove any of these header #
# notices. By using this code you agree to indemnify the author#
# from any liability that might arise from it's use.           #
################################################################

################################################################
#           ONLY THE BELOW CAN AND NEED TO BE EDITED           #
################################################################

################################################################
#              System Configuration Variables		       #
################################################################

sub configure {


###### The file where all user information are to be stored ####

$users = "users.txt";

########## The location of the customizable template ###########

$header = "header.txt";
$footer = "footer.txt";

#################    Your Website Address  #####################

$website = "http://www.linking101.com";

#################    Your Website Name     #####################

$sitename = "Linking 101";

#############  A small description of your website #############

$descript = "Website that will show you how to generate thousands of free hits to your website.";

#############  Your Email Address     #############

$adminemail = "webmaster\@edesignparadigm.com";

#########  Password to get access to the admin area #########

$adminpassw = "admin";

#########  categories for users to choose from #########

@categories = ('Web Promotion','Search Engines','Internet Marketing','Business Opportunities','Misc','MLM','Computers');

#########  Path to your mail program #########

$mailprog = '/usr/sbin/sendmail';

#### File locking.  If your server does not support file locking,
#### simply remove the 2 and 8 from below.
#### it should then look like $LOCK_EX = ""; and $LOCK_UN = ""; #

$LOCK_EX = "2";
$LOCK_UN = "8";

################################################################
#            End System Configuration Variables		       #
################################################################
################################################################
#                  DO NOT EDIT ANYTHING BELOW                  #
################################################################
sub parse{
$buffer = $ENV{'QUERY_STRING'}; 
@pairs = split(/&/, $buffer);
    foreach $pair (@pairs) {
    ($name, $value) = split(/=/, $pair);
    $name =~ tr/+/ /;
    $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $value =~ s/<([^>]|\n)*>//g;
    $FORM{$name} = $value;
    }
if ($ENV{'REQUEST_METHOD'} eq "POST"){
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) 
	{
   ($name, $value) = split(/=/, $pair);
   $value =~ tr/+/ /;
   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	$in{$name} = $value;
	}
}
}
sub error{
$message = shift(@_);
	print "Content-type: text/html\n\n";
	print <<html_;
<html>
<head>
<title>Error</title>
</head>
<body>
<center><table border=0 width=500><tr><td><font face="verdana, arial" size=2>$message</font></td></tr></table></center>
</body>
</html>
html_
	exit;
}
}
1;    #  Return true